> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ipworld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> Get transaction details by hash

### Query Parameters

<ParamField query="hash" type="string" required>
  Transaction hash
</ParamField>

<ParamField query="prove" type="boolean">
  Include proofs of the transaction's inclusion in the block
</ParamField>

### Response

<ResponseField name="response" type="object">
  <p>Transaction details</p>

  <Expandable title="Properties">
    <ResponseField name="hash" type="string">
      <p>Transaction hash</p>
    </ResponseField>

    <ResponseField name="height" type="string">
      <p>Block height where this transaction was in</p>
    </ResponseField>

    <ResponseField name="index" type="integer">
      <p>Transaction index in the block</p>
    </ResponseField>

    <ResponseField name="tx_result" type="object">
      <p>Transaction execution result</p>

      <Expandable title="Properties">
        <ResponseField name="code" type="integer">
          <p>Response code</p>
        </ResponseField>

        <ResponseField name="data" type="string">
          <p>Result data</p>
        </ResponseField>

        <ResponseField name="log" type="string">
          <p>Log message</p>
        </ResponseField>

        <ResponseField name="info" type="string">
          <p>Additional information</p>
        </ResponseField>

        <ResponseField name="gas_wanted" type="string">
          <p>Amount of gas requested</p>
        </ResponseField>

        <ResponseField name="gas_used" type="string">
          <p>Amount of gas consumed</p>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="tx" type="string">
      <p>Raw transaction data</p>
    </ResponseField>
  </Expandable>
</ResponseField>
